Name:           maven-shared-utils
Version:        3.3.3
Release:        1
Summary:        The functional replacement of plexus-utils in maven
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-shared-utils
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0001:      0001-Restore-compatibility-with-current-maven.patch
Patch0002:      0002-Port-to-plexus-utils-3.0.10.patch
Patch0003:      0003-Avoid-setting-POSIX-attributes-for-symbolic-links.patch

BuildRequires:  maven-local mvn(com.google.code.findbugs:jsr305) mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit) mvn(org.apache.commons:commons-lang3) mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness) mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default) mvn(org.fusesource.jansi:jansi) mvn(org.hamcrest:hamcrest-core)

%description
This package can be the functional replacement of plexus-utils in Maven.
At the same time, the package has many hightlights, such as: a lot of methods
got cleaned up, generics got added and a lot of unused code dropped.

%package help
Summary:    Help documentation for %{name}
Provides:  %{name}-javadoc = %{version}-%{release}
Obsoletes: %{name}-javadoc < %{version}-%{release}

%description help
Man pages and other related help documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin

%pom_remove_dep org.apache.commons:commons-text
rm src/test/java/org/apache/maven/shared/utils/CaseTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files help -f .mfiles-javadoc

%changelog
* Wed May 25 2022 yaoxin <yaoxin30@h-partners.com> - 3.3.3-1
- Update to 3.3.3 for fix CVE-2022-29599

* Thur Feb 20 2020 zhusongbao <zhusongbao@huawei.com> - 3.2.1-2
- Package init
